#ifndef _MOTE_H
#define _MOTE_H

#ifndef M16C_62P
#include "datatypes.h"
#endif
#ifdef M16C_62P
#include "inet/datatypes.h"
#endif

struct MOTE_DATA
{
	UINT16 humidity;
	UINT16 exttemperature;
	UINT16 light;
	UINT16 analog[8];
	UINT16 intvoltage;
	UINT16 inttemperature;
};
typedef struct MOTE_DATA mote_data;

INT8 InitZigbee();
INT8 StopZigbee();
INT8 QueryMote( UINT8 mote );
INT8 MotePacketIn( void * packet_data );
INT8 MoteUpdateTest( UINT8 mote );
INT8 UpdateHTMLIndex( UINT8 mote );
INT8 CreateFiles();



#endif

